Bug 214669 - Review Request: logserial
Review Request: logserial
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-11-08 15:17 EST by manuel wolfshant
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-17 07:42:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description manuel wolfshant 2006-11-08 15:17:28 EST
Spec URL: http://wdl.lug.ro/linux/rpms/logserial/logserial.spec
SRPM URL: http://wdl.lug.ro/linux/rpms/logserial/logserial-0.4.2-1.src.rpm
Description: Package for logging incoming bytes on asynchronous serial ports


Package for logging incoming bytes on asynchronous serial ports.
It was written for loging calls on our telephone central, but
you can use it for any devices connected to serial ports. From
version 0.4 it can be used to send data through serial line.
Comment 1 Kevin Fenzi 2006-11-11 23:29:46 EST
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License (GPL)
OK - License field in spec matches
See below - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
833fff07602e4a21f447aa194d14ecd8  logserial-0.4.2.tar.gz
833fff07602e4a21f447aa194d14ecd8  logserial-0.4.2.tar.gz.1
OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
OK - No rpmlint output.
OK - final provides and requires are sane:

SHOULD Items:

OK - Should build in mock.
x86_64/i386 - Should build on all supported archs
OK - Should have dist tag
OK - Should package latest version

Issues:

1. Given how long since the last upstream release of this package it seems
unlikely, but any chance of them including a COPYING file?

2. Instead of the flags you set in the logserial-makefile.patch
perhaps you could set $RPM_OPT_FLAGS instead?
Comment 2 manuel wolfshant 2006-11-12 10:52:48 EST
Thank you for the review.

With respect to the first suggestion: I have written the developer and kindly
asked him to include the proper license file in the next release.
With the second one: done. On my test system the new src.rpm compiles
sucessfully in mock.
Please find the modified spec and src.rpm at
http://wdl.lug.ro/linux/rpms/logserial/logserial.spec and
http://wdl.lug.ro/linux/rpms/logserial/logserial-0.4.2-2.src.rpm

Comment 3 Kevin Fenzi 2006-11-12 21:01:28 EST
ok. Issue 1 isn't a blocker, just nice to have. 

Humm...on issue #2, I am not seeing the rpm opt flags being used... 
In my build.log I see: 

+ make -j2
gcc  -Wall -D_POSIX -D_SYSV -D_SELECT -D_HAVE_MACROS   -c -o logserial.o logserial.c
...

Comment 4 manuel wolfshant 2006-11-13 08:26:24 EST
You are perfectly right, there was an error in the patch.
Please retry the new versions, available as
http://wdl.lug.ro/linux/rpms/logserial/logserial.spec and
http://wdl.lug.ro/linux/rpms/logserial/logserial-0.4.2-3.src.rpm
Building in mock on a i386 machine with arch=i686 and without any argument
seemed OK. Unfortunately my x86_64 test machine is temporary out of function, so
I could not test that, too.
Comment 5 Kevin Fenzi 2006-11-13 16:33:35 EST
Excellent. That version from comment #4 works fine. 

The rpm-opt-flags are used. It builds find here on x86_64 and i386. 

I don't see any further blockers, so this package is APPROVED. 

Don't forget to close this request NEXTRELEASE once it's been imported and built. 

Also consider reviewing another waiting package to help spread the reviewing load. 
Comment 6 manuel wolfshant 2006-11-13 18:18:47 EST
Thank you, Kevin.

Sucessfully built in devel. Will close as soon as FC-5 and FC-6 are built, too.
Comment 7 manuel wolfshant 2007-07-16 19:37:03 EDT
Package Change Request
======================
Package Name: logserial
New Branches: EL-4 EL-5
Comment 8 Kevin Fenzi 2007-07-16 21:37:27 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.